org.jgroups.util

## Interface ThreadDecorator

    public interface ThreadDecorator

An object that can alter the state of a thread when it receives a callback from a `ThreadManager` notifying it that the thread has been created or released from use.

Author:
  Brian Stansberry

### Method Summary

Methods
`void` `threadCreated(java.lang.Thread thread)` Notification that `thread` has just been created.
`void` `threadReleased(java.lang.Thread thread)` Notification that `thread` has just been released from use (e.g.

### Method Detail

#### threadCreated

    void threadCreated(java.lang.Thread thread)

Notification that `thread` has just been created.

Parameters:
  `thread` - the thread

#### threadReleased

    void threadReleased(java.lang.Thread thread)

Notification that `thread` has just been released from use (e.g. returned to a thread pool after executing a task).

Parameters:
  `thread` - the thread